Subject: Re: fatal: Could not get current working directory: Permission denied | affected 2.10,2.11,2.12, but not 1.9.5 |

From: Zenobiusz Kunegunda <[email-masked]>
Date: Tue, 14 Mar 2017 08:44:50 +0100

Od: "René Scharfe" &lt;[email-masked]>
Do: "Zenobiusz Kunegunda" &lt;[email-masked]>; 
Wysłane: 22:31 Poniedziałek 2017-03-13
Temat: Re: fatal: Could not get current working directory: Permission denied | affected 2.10,2.11,2.12, but not 1.9.5 |

> 
>> Am 13.03.2017 um 14:23 schrieb Zenobiusz Kunegunda:
>> Bisecting: 0 revisions left to test after this (roughly 0 steps)
>> [a26bc613a64ac2c7ee69a50675e61b004a26382d] pretty.c: make git_pretty_formats_config return -1 on git_config_string failure
>>
>> This is what I found with git bisect
> 
> Strange, I don't think git_pretty_formats_config() is even called by git 
> status.
> 
> René
> 
> 

a26bc613a64ac2c7ee69a50675e61b004a26382d - is actually working revision

The question is - is git history linear enough for git bisect to produce any useful result? Gitk produces rather complicated diagram. Especially for year 2014. I'm not sure about reliability of this method. Or maybe it should be used in a specific way I'm not aware of. If you have any advices how to use it in this specific case, please let me know.